%define fname %name-%version-src
%global monodir %{_prefix}/lib

Summary: Build tool for Mono and .NET
Name: nant
Epoch: 1
Version: 0.92
Release: %mkrel 16
License: GPLv2+
Group: Development/Other
Url: https://nant.sourceforge.net/
Source0: https://prdownloads.sourceforge.net/nant/%{fname}.tar.gz
Patch1: nant-0.92-no_ndoc.patch
Patch2: nant-0.92-system_nunit.patch
Patch3: nant-0.90-no_sharpcvslib.patch
Patch4: nant-0.90-system_sharpziplib.patch
Patch5: nant-0.92-system_log4net.patch
Patch6: nant-0.92-no_netdumbster.patch
Patch7: nant-fixmono42_scripttask.patch
Patch8: nant-0.92-mono-4.5.patch
Patch9: nant-0.92-mono-4.5-config.patch
#gw required for mono.pc
Requires: mono-devel
BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(nunit2) >= 2.6.4
BuildRequires: pkgconfig(log4net)
BuildArch: noarch

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%package docs
Summary:	Documentation package for nant
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description docs
Documentation for nant.

%package devel
Summary:	Development file for nant
Group:		Development/C
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Development file for %{name}.

%prep
%setup -q
# install to libdir instead of datadir
sed -i -e "/property name=\"install\.share\"/ s/'share'/'lib'/" NAnt.build
sed -i -e "s,/share/,/lib/," etc/nant.pc.in

# Remove NDoc support
%patch -P 1 -p1 -b .no_ndoc
rm src/NAnt.DotNet/Tasks/NDocTask.cs
rm -Rf src/NDoc.Documenter.NAnt
find lib -name 'NDoc*.dll' | xargs rm

# Remove NUnit1 support and fix build with system NUnit.
# Based on Debian's 004-nant-nunit_2.4.dpatch
%patch -P 2 -p1 -b .system_nunit
find lib -iname 'nunit*' | xargs rm

# Remove SharpCvsLib support
%patch -P 3 -p1 -b .no_sharpcvslib
find lib -name "*SharpCvsLib*.dll" | xargs rm
find lib -name "scvs.exe" | xargs rm

# Use system SharpZipLib which is older than the one bundled with nant
# https://bugzilla.novell.com/show_bug.cgi?id=426065
%patch -P 4 -p1 -F 3 -b .system_sharpziplib
find lib -name "*SharpZipLib*.dll" | xargs rm

%patch -P 6 -p1 -b .no_netdumbster
rm tests/NAnt.Core/Tasks/MailTaskTest.cs

find . -type d|xargs chmod 755
find . -type f|xargs chmod 644
sed -i 's/\r//' doc/license.html
sed -i 's/\r//' COPYING.txt
sed -i 's/\r//' README.txt
sed -i 's/\r//' doc/releasenotes.html

echo "NORMAL BUILD, NUKING PREBUILT BUNDLED DLL FILES"
rm -rf lib/*

# Use system log4net, unless we're bootstrapping.
%patch -P 5 -p1 -b .system_log4net

%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 9 -p1

#Fixes for Mono 4
sed -i "s#gmcs#mcs#g" Makefile
sed -i "s#TARGET=mono-2.0#TARGET=mono-4.5#g" Makefile
sed -i "s#dmcs#mcs#g" src/NAnt.Console/App.config
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

%build
%__make

%install
%make_install prefix=%{_prefix}

find examples -name \*.dll -o -name \*.exe|xargs rm -f
rm -rf %{buildroot}%{_datadir}/NAnt/doc
rm -rf %{buildroot}%{_prefix}/lib/doc/NAnt

# Flush out the binary bits that we used to build, unless we're bootstrapping.
rm -rf %{buildroot}%{_prefix}/lib/NAnt/bin/lib
rm -rf %{buildroot}%{_prefix}/lib/NAnt/bin/log4net.dll

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
test "%{_libdir}" = "%{_prefix}/lib" || mv $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

# gw fix paths in the nant script 	 
perl -pi -e "s^%buildroot^^g" %buildroot%_bindir/nant

%files
%license COPYING.txt
%doc README.txt doc/*.html
%{_bindir}/nant
%{monodir}/NAnt/

%files docs
%doc examples/* doc/help/*

%files devel
%{_libdir}/pkgconfig/nant.pc



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1:0.92-16.mga10
+ Revision: 2232083
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 1:0.92-15.mga10
+ Revision: 2127867
- Rebuild for patchN deprecation

* Fri Apr 01 2022 umeabot <umeabot> 1:0.92-14.mga9
+ Revision: 1838863
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 1:0.92-13.mga8
+ Revision: 1629246
- Properly support mono-4.5 target framework by adding an extra section to the config file
- rebuild for new mono

* Sun Feb 16 2020 umeabot <umeabot> 1:0.92-12.mga8
+ Revision: 1535897
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 1:0.92-11.mga8
+ Revision: 1453063
- Properly support mono-4.5 target framework by adding an extra section to the config file
- fix for Mono 4.2 for compiling ScriptTasks
  see https://github.com/nant/nant/issues/161

* Thu Sep 20 2018 umeabot <umeabot> 1:0.92-10.mga7
+ Revision: 1280134
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 daviddavid <daviddavid> 1:0.92-9.mga7
+ Revision: 1222148
- rebuild for new log4net 2.0.8
+ kekepower <kekepower>
- Use __make

* Mon Dec 28 2015 tv <tv> 1:0.92-8.mga6
+ Revision: 916451
- restore path fix

* Mon Dec 28 2015 tv <tv> 1:0.92-7.mga6
+ Revision: 916244
- clean like FC
- kill old hack
- split doc/devel subpackages
- use mono macros
- fix license
- add FC patches
- add more BRs
- mono4 fixes

* Wed Oct 15 2014 umeabot <umeabot> 1:0.92-6.mga5
+ Revision: 744737
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.92-5.mga5
+ Revision: 682796
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 pterjan <pterjan> 1:0.92-4.mga4
+ Revision: 565192
- Add updtream patch to allow building for mono > 2

* Sun Jan 05 2014 pterjan <pterjan> 1:0.92-3.mga4
+ Revision: 564776
- Removing duplicate command actually broke things as the s command is missing a /g

* Fri Jan 03 2014 pterjan <pterjan> 1:0.92-2.mga4
+ Revision: 564153
- Drop duplicate line

* Wed Jan 01 2014 pterjan <pterjan> 1:0.92-1.mga4
+ Revision: 563886
- Revert to mono-2.0 target now that mono is sort of fixed
- Fix build by updating to 0.92 and targeting 3.5 profile
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 ahmad <ahmad> 1:0.90-2.mga1
+ Revision: 20525
- imported package nant


* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1:0.90-2mdv2011.0
+ Revision: 584902
- rebuild

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1:0.90-1mdv2011.0
+ Revision: 550280
- new version
- drop patch
- fix installation
- update file list

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.86-0.beta1.4mdv2010.1
+ Revision: 523405
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:0.86-0.beta1.3mdv2010.0
+ Revision: 426203
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1:0.86-0.beta1.2mdv2009.0
+ Revision: 170442
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 1:0.86-0.beta1.2mdv2008.1
+ Revision: 132901
- patch to make it build boo again

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1:0.86-0.beta1.1mdv2008.1
+ Revision: 119367
- new version
- drop patch

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 1:0.85-3mdv2008.1
+ Revision: 98913
- fix build with new mono


* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 0.85-2mdv2006.0
+ Revision: 65449
+ Status: not released
- fix startup script

* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 1:0.85-1mdv2007.1
+ Revision: 65387
- Import nant

* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 0.85-1mdv2007.1
- unpack patch
- new version

* Sat Jun 03 2006 Götz Waschk <waschk@mandriva.org> 0.85-0.rc4.1mdv2007.0
- new version

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.85-0.rc3.20051203.1mdk
- drop merged patch 0
- fix build
- new version

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.85-0.rc3.4mdk
- fix build
- rebuild for new mono

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 1:0.85-0.rc3.3mdk
- fix deps

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 0.85-0.rc3.2mdk
- patch to fix build with mono 1.1.7
- requires mono

* Thu Apr 21 2005 Götz Waschk <waschk@mandriva.org> 0.85-0.rc3.1mdk
- fix build
- new version

* Tue Apr 19 2005 Götz Waschk <waschk@mandriva.org> 0.85-0.rc2.2mdk
- Rebuild

* Sat Apr 02 2005 Götz Waschk <waschk@linux-mandrake.com> 1:0.85-0.rc2.1mdk
- new version

* Sat Oct 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.85-0.20041021.1mdk
- new snapshot
- fix buildrequires

* Fri Oct 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.85-0.20041020.1mdk
- initial package

